Package org.apache.sling.resourceresolver.impl.helper

# Class ResourceResolverContext

java.lang.Object
org.apache.sling.resourceresolver.impl.helper.ResourceResolverContext

public class ResourceResolverContext extends Object
The resource resolver context. This class is not thread safe (same as the resource resolver).

## Constructor Summary

Constructors
Constructor
Description
`ResourceResolverContext(@NotNull org.apache.sling.api.resource.ResourceResolver resolver, @NotNull org.apache.sling.resourceresolver.impl.ResourceAccessSecurityTracker tracker)`

## Method Summary

Modifier and Type
Method
Description
`ProviderManager`
`getProviderManager()`
`org.apache.sling.api.resource.ResourceResolver`
`getResourceResolver()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceResolverContext

public ResourceResolverContext(@NotNull @NotNull org.apache.sling.api.resource.ResourceResolver resolver, @NotNull @NotNull org.apache.sling.resourceresolver.impl.ResourceAccessSecurityTracker tracker)

## Method Details

### getResourceResolver

public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

### getProviderManager

public ProviderManager getProviderManager()